namespace: rancher-turtles-system
questions:
  - variable: rancherTurtles.features.default
    default: "false"
    description: "Customize install settings"
    label: Customize install settings
    type: boolean
    show_subquestion_if: true
    group: "Rancher Turtles Extra Settings"
    subquestions:
      - variable: turtlesUI.enabled
        default: false
        type: boolean
        description: "Flag to enable or disable installation of CAPI UI extension. If set to false then you will need to install CAPI UI extension manually."
        label: "Install CAPI UI (Experimental)"
      - variable: rancherTurtles.cluster-api-operator.cleanup
        default: true
        description: "Specify that the CAPI Operator post-delete cleanup job will be performed."
        type: boolean
        label: Cleanup CAPI Operator installation
        group: "CAPI Operator cleanup settings"
      - variable: cluster-api-operator.cluster-api.rke2.enabled
        default: "true"
        description: "Flag to enable or disable installation of the RKE2 provider for Cluster API. By default this is enabled."
        label: "Enable RKE2 Provider"
        type: boolean
      - variable: rancherTurtles.features.agent-tls-mode.enabled
        default: false
        description: "[ALPHA] If enabled Turtles will use the agent-tls-mode setting to determine CA cert trust mode for importing clusters."
        type: boolean
        label: Enable Agent TLS Mode
        group: "Rancher Turtles Features Settings"
      - variable: rancherTurtles.features.no-cert-manager.enabled
        default: false
        description: "[ALPHA] If enabled Turtles will remove cert-manager."
        type: boolean
        label: Remove cert-manager
        group: "Rancher Turtles Features Settings"
      - variable: rancherTurtles.kubectlImage
        default: "registry.suse.com/edge/3.3/kubectl:1.32.4"
        description: "Specify the image to use when running kubectl in jobs."
        type: string
        label: Kubectl Image
        group: "Rancher Turtles Features Settings"
      - variable: rancherTurtles.features.day2operations.enabled
        label: "Enable Day 2 Operations functionality in Rancher Turtles"
        description: "Use this setting to configure Day 2 Operations functionality in Rancher Turtles, such as enabling ETCD Backup and Restore."
        type: boolean
        group: "Rancher Turtles Features Settings"
      - variable: rancherTurtles.features.day2operations.etcdBackupRestore.enabled
        label: "Enable ETCD Backup and Restore"
        description: "[ALPHA] Enable ETCD Backup and Restore functionality in Rancher Turtles."
        type: boolean
        group: "ETCD Backup and Restore Settings"
        show_if: "rancherTurtles.features.day2operations.enabled"
